import _extends from "@babel/runtime/helpers/esm/extends";
import PropTypes from 'prop-types';
import React, { useMemo, useContext } from 'react';
import SSRContext from './SSRContext';
import SSRRenderer from './SSRRenderer';

var SSRProvider = function SSRProvider(_ref) {
  var state = _ref.state,
      children = _ref.children;
  var context = useContext(SSRContext);
  context = useMemo(function () {
    return _extends({}, context, {
      renderer: new SSRRenderer(state)
    });
  }, [state, context]);
  return /*#__PURE__*/React.createElement(SSRContext.Provider, {
    value: context
  }, children);
};

SSRProvider.propTypes = {
  children: PropTypes.node.isRequired,
  state: PropTypes.arrayOf(PropTypes.shape({})).isRequired
};
export default SSRProvider;