import { createElement } from 'react';
import SSRContext from './SSRContext';
import SSRRenderer from './SSRRenderer';

var renderWithData = function renderWithData(tree, render) {
  var renderer = new SSRRenderer();

  var process = function process() {
    // wrap the tree with our provider to dispatch our SSR context
    var element = createElement(SSRContext.Provider, {
      value: {
        ssr: true,
        renderer: renderer
      }
    }, tree); // call the rendering method

    var output = render(element); // loop until there's no more promises

    return renderer.hasPromises() ? renderer.consume().then(process) : [output, renderer.state];
  }; // start the loop


  return process();
};

export default renderWithData;