"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = void 0;

var _react = require("react");

var _SSRContext = _interopRequireDefault(require("./SSRContext"));

var _SSRRenderer = _interopRequireDefault(require("./SSRRenderer"));

var renderWithData = function renderWithData(tree, render) {
  var renderer = new _SSRRenderer["default"]();

  var process = function process() {
    // wrap the tree with our provider to dispatch our SSR context
    var element = (0, _react.createElement)(_SSRContext["default"].Provider, {
      value: {
        ssr: true,
        renderer: renderer
      }
    }, tree); // call the rendering method

    var output = render(element); // loop until there's no more promises

    return renderer.hasPromises() ? renderer.consume().then(process) : [output, renderer.state];
  }; // start the loop


  return process();
};

var _default = renderWithData;
exports["default"] = _default;